# Uses of Interface
java.lang.classfile.FieldModel

Packages that use FieldModel
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of FieldModel in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type FieldModel
Modifier and Type
Method
Description
`List<FieldModel>`
ClassModel.`fields()`
Returns the fields of this class.
Methods in java.lang.classfile with parameters of type FieldModel
Modifier and Type
Method
Description
`ClassBuilder`
ClassBuilder.`transformField(FieldModel field, FieldTransform transform)`
Adds a field by transforming a field from another class.